[Android] Accept release and -a ARCH in compile-simple.sh

Jean-Baptiste Kempf git at videolan.org
Thu Feb 5 19:51:57 CET 2015


vlc-ports/android | branch: master | Jean-Baptiste Kempf <jb at videolan.org> | Thu Feb  5 19:49:51 2015 +0100| [607928c34eca2ccfbcd1c365a704e2613e19e790] | committer: Jean-Baptiste Kempf

Accept release and -a ARCH in compile-simple.sh

> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=607928c34eca2ccfbcd1c365a704e2613e19e790
---

 compile-simple.sh |   25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/compile-simple.sh b/compile-simple.sh
index beba85e..8e82e89 100755
--- a/compile-simple.sh
+++ b/compile-simple.sh
@@ -11,6 +11,24 @@ if [ -z "$ANDROID_NDK" -o -z "$ANDROID_SDK" ]; then
    exit 1
 fi
 
+while [ $# -gt 0 ]; do
+    case $1 in
+        help|--help)
+            echo "Use -a to set the ARCH"
+            echo "Use --release to build in release mode"
+            exit 1
+            ;;
+        a|-a)
+            ANDROID_ABI=$2
+            shift
+            ;;
+        release|--release)
+            RELEASE=1
+            ;;
+    esac
+    shift
+done
+
 if [ -z "$ANDROID_ABI" ]; then
    echo "*** No ANDROID_ABI defined architecture: using ARMv7"
    ANDROID_ABI="armeabi-v7a"
@@ -40,4 +58,9 @@ fi
 # Make VLC #
 ############
 echo "Configuring"
-./compile-libvlc.sh $*
+OPTS="-a ${ANDROID_ABI}"
+if [ "$RELEASE" = 1 ]; then
+    OPTS+=" release"
+fi
+
+./compile-libvlc.sh $OPTS



More information about the Android mailing list